CREATEEXPR(3)

NAME
createExpr - creates the head of an operator expression.

SYNOPSYS
#include "logmmm.h"
chain_list *createExpr(oper)
short oper;

PARAMETER

oper
    Operator number (OR,AND,XOR,NAND,NOR...).

DESCRIPTION
createExpr() creates the head of an operator expression (arity = 0). After that it's possible to add arguments with the addHExpr() or addQExpr() functions.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr;
expr = createExpr(OR);
displayExpr(expr);
/* it will display
(OR)
*/
freeExpr(expr);

ERROR
"createExpr : error - unknown operator"
The operator number must be included between MIN_OPER and MAX_OPER.

SEE ALSO
log(1), abl(1), createAtom(3), notExpr(3), createBinExpr(3), addQExpr(3), addHExpr(3), freeExpr(3).